//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include <jpeg.hpp>
#include "ObrLib.hpp"
#include "Main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
#pragma link "ObrLib"
TFormMain *FormMain;
//---------------------------------------------------------------------------
__fastcall TFormMain::TFormMain(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::ButtonSelectPictureClick(TObject *Sender)
{
  if (OpenPictureDialog->Execute())
  {
    Memo->Clear();
    Image->Picture->LoadFromFile(OpenPictureDialog->FileName);

    TBarcodeDecoder *decoder = new TBarcodeDecoder();
    try
    {
      TDecodeResults barcodes = decoder->Decode(Image->Picture->Graphic);

      if (barcodes.Length == 0)
        Memo->Lines->Append("No barcode found");
      else
        for (int i = 0; i < barcodes.Length; ++i)
          Memo->Lines->Append(barcodes[i].FormatName + ": " + barcodes[i].Text);
    }
    __finally
    {
      delete decoder;
    }
  }
}
//---------------------------------------------------------------------------
